# How to contribute to this project

Please use our tracker for requests for new relations, modifications, clarifications, etc.

https://github.com/oborel/obo-relations

Creating a new issue in the tracker allows the RO editors and community to discuss proposed changes, fixes, or additions. If you'd like faster turnaround on your request, and you know how to use GitHub, please specify your desired changes by submitting a GitHub Pull Request on the appropriate file.

## Before you write a new request, please consider the following: 

- **Does the term already exist?** Before submitting suggestions for new ontology terms, check whether the term exists, either as a primary term or a synonym term. You can search using [OLS](http://www.ebi.ac.uk/ols/ontologies/ro).

## Guidelines for creating GitHub tickets with contributions to the ontology:

1. **Write a detailed request:** Please be specific and include as many details as necessary, providing background information, and if possible, suggesting a solution. GOC editors will be better equipped to address your suggestions if you offer details regarding *'what is wrong'*, *'why'*, and *'how to fix it'*.

2. **Provide examples and references:** Please include any applicable references (such as PMIDs) for new term requests, and include also screenshots, or URLs illustrating the current ontology structure for other types of requests. 

3. **For new term request:** Be sure to provide suggestions for label (name), definition, references, position in hierarchy, etc.

4. **For updates to relationships:** Provide details of the current axioms, why you think they are wrong or not sufficient, and what exactly should be added or removed.

## RO mailing list
Visit http://groups.google.com/group/obo-relations to join the (low-traffic) RO mailing list.

## RO working group meetings
Currently (January 2022) the RO working group meets once every 8 weeks on Tuesdays at 9am PT / 12pm ET. These meetings are open to the community. Please join the [RO mailing list](http://groups.google.com/group/obo-relations) to be informed about upcoming meetings.

## 

Thank you for contributing to RO!
