[![DOI](https://zenodo.org/badge/13996/oborel/obo-relations.svg)](https://zenodo.org/badge/latestdoi/13996/oborel/obo-relations)
[![Build Status](https://travis-ci.org/oborel/obo-relations.svg?branch=master)](https://travis-ci.org/oborel/obo-relations)

This is the project page for RO, the OBO Relations Ontology

# Summary

RO is a collection of relations intended primarily for standardization across ontologies in the [OBO Foundry](http://obofoundry.org) and wider OBO library. It incorporates [ROCore](https://github.com/oborel/obo-relations/wiki/ROCore) upper-level relations such as [part of](http://purl.obolibrary.org/obo/BFO_0000050) as well as biology-specific relationship types such as [develops from](http://purl.obolibrary.org/obo/RO_0002202).

## Documentation

 * [RO Guide](https://oborel.github.io/obo-relations/)
 * [Main RO site](https://oborel.github.io/)

## Download

This is the main PURL for the ontology:

 * http://purl.obolibrary.org/obo/ro.owl

For all download products, see the [RO OBO page](http://obofoundry.org/ontology/ro.html)

## Browse

Currently the optimal way to browse RO is to use Protege and inspect ro.owl

See the [list of relations on OntoBee](http://www.ontobee.org/browser/term.php?o=RO&iri=http://www.w3.org/2002/07/owl%23ObjectProperty&graph=http://purl.obolibrary.org/obo/merged/RO) -- note that sometimes OntoBee fails to display the full hierarchy

## How to cite

Please cite RO by its GitHub URL [https://github.com/oborel/obo-relations](https://github.com/oborel/obo-relations) or its Zenodo DOI, [DOI: 10.5281/zenodo.32899](https://zenodo.org/record/3955125#.X3vzkZOpFyo) .

## Mailing list

 * http://groups.google.com/group/obo-relations

## Requesting new relations

Use [the GitHub issue tracker](https://github.com/oborel/obo-relations/issues) and/or the obo-relations mailing list.

# How to contribute to RO and join the RO working group
Please see our page on [Contributing to RO](https://github.com/oborel/obo-relations/blob/master/CONTRIBUTING.md).
