# History

## 2005 RO Paper

The origins of RO are with the 2005 paper [Relations in Biomedical
Ontologies](https://genomebiology.biomedcentral.com/articles/10.1186/gb-2005-6-5-r46),
which defined a core set of relations such as **is a** and **part of**.

This ontology was transcribed into an ontology which was originally
called **OBO_REL**. **Note that this original version is obsolete, and
there are substantial differences with the current RO**. For a detailed description see [changes to RO since the 2005 paper](../changes-since-2005-paper)

## RO and BFO

Many relations in RO are generic and can be used in other domains. One
idea originally proposed was to cede the *core* relations to the Basic
Formal Ontology (BFO). However, we later decided to retain all
relations in RO. Note however that a small handful of RO relations
retain a BFO ID space, for example, BFO:0000050 (part of). However,
these are in fact part of RO, the IDs have been "donated".

For more details see:

 * [RO and BFO](../ro-and-bfo).
 * [RO Core](../ro-core).

## Current development

Currently RO is actively maintained by core team with contributions by pull request from many community members. See

 * [CONTRIBUTING.md](https://github.com/oborel/obo-relations/blob/master/CONTRIBUTING.md)
 * [releases](https://github.com/oborel/obo-relations/releases/)
 * [contributors](https://github.com/oborel/obo-relations/graphs/contributors)
 * [commits](https://github.com/oborel/obo-relations/commits/master)

## Visual Depiction


<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vTtxkGff7DVy2D1iCMIgBvOVI0pDyQPhr6Rnf5vv_QVMtjN52ZmP7Dt02K2wa6ji7JS_vj0WW2fwgEI/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

