# Relation Ontology

## About

![img](RO-logo.png)

This is the reference guide for the OBO Relation Ontology (RO).

RO is a collection of relations intended primarily for standardization across ontologies in the [OBO Foundry](http://obofoundry.org) and wider OBO library. It incorporates [core](ROCore) upper-level relations such as [part of (BFO:0000050)](http://purl.obolibrary.org/obo/BFO_0000050) as well as biology-specific relationship types such as [develops from (RO:0002202)](http://purl.obolibrary.org/obo/RO_0002202).

 * Website: [https://oborel.github.io/](https://oborel.github.io/)
 * This documentation: [https://oborel.github.io/obo-relations/](https://oborel.github.io/obo-relations/)
 * GitHub project: [https://github.com/oborel/obo-relations/](https://github.com/oborel/obo-relations/)
 * OBO Page: [http://obofoundry.org/ontology/ro](http://obofoundry.org/ontology/ro)

## Browsing and Download

 * Browse on OLS: [OLS](https://www.ebi.ac.uk/ols/ontologies/ro) (click properties tab)
 * Browse on OntoBee: [OntoBee](http://www.ontobee.org/ontology/RO)

Currently the optimal way to browse RO is to download Protege and [load the owl files](http://purl.obolibrary.org/obo/ro.owl).

Use the following URIs to download this ontology:

  * http://purl.obolibrary.org/obo/ro.owl
  * http://purl.obolibrary.org/obo/ro.obo
  * http://purl.obolibrary.org/obo/ro.json

The OWL product is more expressive than the OBO format one, and includes additional axioms.

See also:

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRRn8SADE0IIDl2fBXH4qKzjcL6oNsbpA9zj-7oCFlLqcUSqKZE4Jq-P2HRCOUuvBE827JTFuzNosWn/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

## Contributing

 * [CONTRIBUTING.md](https://github.com/oborel/obo-relations/blob/master/CONTRIBUTING.md)
 * Join the [Google Group](http://groups.google.com/group/obo-relations)
 * Request new relations via the [obo-relations issue tracker](https://github.com/oborel/obo-relations/issues)

